## org.apache.myfaces.custom.calendar
Class HtmlInputCalendar

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.html.HtmlInputText
                          org.apache.myfaces.custom.calendar.HtmlInputCalendar

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

public class HtmlInputCalendar
extends javax.faces.component.html.HtmlInputText

Version:
  $Revision: 289942 $ $Date: 2005-09-18 12:10:36 -0400 (Sun, 18 Sep 2005) $
Author:
  Martin Marinschek (latest modification by $Author: mmarinschek $)

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Constructor Summary
`HtmlInputCalendar()`

Method Summary
`java.lang.String` `getCurrentDayCellClass()`
`java.lang.String` `getDayCellClass()`
`java.lang.String` `getEnabledOnUserRole()`
`java.lang.String` `getMonthYearRowClass()`
`java.lang.String` `getPopupButtonString()`
`java.lang.String` `getPopupDateFormat()`
`java.lang.String` `getPopupGotoString()`
`java.lang.String` `getPopupScrollLeftMessage()`
`java.lang.String` `getPopupScrollRightMessage()`
`java.lang.String` `getPopupSelectDateMessage()`
`java.lang.String` `getPopupSelectMonthMessage()`
`java.lang.String` `getPopupSelectYearMessage()`
`java.lang.String` `getPopupTodayString()`
`java.lang.String` `getPopupWeekString()`
`java.lang.String` `getVisibleOnUserRole()`
`java.lang.String` `getWeekRowClass()`
`boolean` `isAddResources()`
`boolean` `isRenderAsPopup()`
`boolean` `isRendered()`
`boolean` `isRenderPopupButtonAsImage()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setAddResources(boolean addResources)`
`void` `setAddResources(java.lang.Boolean addResources)`
`void` `setCurrentDayCellClass(java.lang.String currentDayCellClass)`
`void` `setDayCellClass(java.lang.String dayCellClass)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setMonthYearRowClass(java.lang.String monthYearRowClass)`
`void` `setPopupButtonString(java.lang.String popupButtonString)`
`void` `setPopupDateFormat(java.lang.String popupDateFormat)`
`void` `setPopupGotoString(java.lang.String popupGotoString)`
`void` `setPopupScrollLeftMessage(java.lang.String popupScrollLeftMessage)`
`void` `setPopupScrollRightMessage(java.lang.String popupScrollRightMessage)`
`void` `setPopupSelectDateMessage(java.lang.String popupSelectDateMessage)`
`void` `setPopupSelectMonthMessage(java.lang.String popupSelectMonthMessage)`
`void` `setPopupSelectYearMessage(java.lang.String popupSelectYearMessage)`
`void` `setPopupTodayString(java.lang.String popupTodayString)`
`void` `setPopupWeekString(java.lang.String popupWeekString)`
`void` `setRenderAsPopup(boolean renderAsPopup)`
`void` `setRenderPopupButtonAsImage(boolean renderPopupButtonAsImage)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`
`void` `setWeekRowClass(java.lang.String weekRowClass)`

Methods inherited from class javax.faces.component.html.HtmlInputText

`getAccesskey, getAlt, getDir, getLang, getMaxlength, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getSize, getStyle, getStyleClass, getTabindex, getTitle, isDisabled, isReadonly, setAccesskey, setAlt, setDir, setDisabled, setLang, setMaxlength, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setSize, setStyle, setStyleClass, setTabindex, setTitle`

Methods inherited from class javax.faces.component.UIInput

`addValidator, addValueChangeListener, broadcast, compareValues, decode, getConvertedValue, getFamily, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlInputCalendar

    public HtmlInputCalendar()

Method Detail

### setMonthYearRowClass

    public void setMonthYearRowClass(java.lang.String monthYearRowClass)

### getMonthYearRowClass

    public java.lang.String getMonthYearRowClass()

### setWeekRowClass

    public void setWeekRowClass(java.lang.String weekRowClass)

### getWeekRowClass

    public java.lang.String getWeekRowClass()

### setDayCellClass

    public void setDayCellClass(java.lang.String dayCellClass)

### getDayCellClass

    public java.lang.String getDayCellClass()

### setCurrentDayCellClass

    public void setCurrentDayCellClass(java.lang.String currentDayCellClass)

### getCurrentDayCellClass

    public java.lang.String getCurrentDayCellClass()

### setRenderAsPopup

    public void setRenderAsPopup(boolean renderAsPopup)

### isRenderAsPopup

    public boolean isRenderAsPopup()

### setAddResources

    public void setAddResources(java.lang.Boolean addResources)

### setAddResources

    public void setAddResources(boolean addResources)

### isAddResources

    public boolean isAddResources()

### setPopupButtonString

    public void setPopupButtonString(java.lang.String popupButtonString)

### getPopupButtonString

    public java.lang.String getPopupButtonString()

### setRenderPopupButtonAsImage

    public void setRenderPopupButtonAsImage(boolean renderPopupButtonAsImage)

### isRenderPopupButtonAsImage

    public boolean isRenderPopupButtonAsImage()

### setPopupDateFormat

    public void setPopupDateFormat(java.lang.String popupDateFormat)

### getPopupDateFormat

    public java.lang.String getPopupDateFormat()

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

### getEnabledOnUserRole

    public java.lang.String getEnabledOnUserRole()

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

### getVisibleOnUserRole

    public java.lang.String getVisibleOnUserRole()

### setPopupGotoString

    public void setPopupGotoString(java.lang.String popupGotoString)

### getPopupGotoString

    public java.lang.String getPopupGotoString()

### setPopupTodayString

    public void setPopupTodayString(java.lang.String popupTodayString)

### getPopupTodayString

    public java.lang.String getPopupTodayString()

### setPopupWeekString

    public void setPopupWeekString(java.lang.String popupWeekString)

### getPopupWeekString

    public java.lang.String getPopupWeekString()

### setPopupScrollLeftMessage

    public void setPopupScrollLeftMessage(java.lang.String popupScrollLeftMessage)

### getPopupScrollLeftMessage

    public java.lang.String getPopupScrollLeftMessage()

### setPopupScrollRightMessage

    public void setPopupScrollRightMessage(java.lang.String popupScrollRightMessage)

### getPopupScrollRightMessage

    public java.lang.String getPopupScrollRightMessage()

### setPopupSelectMonthMessage

    public void setPopupSelectMonthMessage(java.lang.String popupSelectMonthMessage)

### getPopupSelectMonthMessage

    public java.lang.String getPopupSelectMonthMessage()

### setPopupSelectYearMessage

    public void setPopupSelectYearMessage(java.lang.String popupSelectYearMessage)

### getPopupSelectYearMessage

    public java.lang.String getPopupSelectYearMessage()

### setPopupSelectDateMessage

    public void setPopupSelectDateMessage(java.lang.String popupSelectDateMessage)

### getPopupSelectDateMessage

    public java.lang.String getPopupSelectDateMessage()

### isRendered

    public boolean isRendered()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)